package main

import (
	"log"
	"os"
)

func main() {

	s := "Hello From Main"
	log.Println(s)

	//log print extra info like date time, filename etc and we can configure desire extra info
	flags := log.Ldate | log.Lshortfile | log.Ltime
	log.SetFlags(flags)
	log.Println(s)

	//can create multiple logger with prefix like INFO, WARN, ERROR
	infoLogger := log.New(os.Stdout, "INFO : ", flags)
	infoLogger.Println("Hi From Info Logger")

	warnLogger := log.New(os.Stdout, "WARN : ", flags)
	warnLogger.Println("Hi From Warn Logger")

	errorLogger := log.New(os.Stdout, "ERROR : ", flags)
	errorLogger.Println("Hi From Error Logger")

}
